Bug 25395 - mopd -a startup as daemon fails
mopd -a startup as daemon fails
Status: CLOSED WONTFIX
Product: Red Hat Powertools
Classification: Retired
Component: mopd-linux (Show other bugs)
7.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Crutcher Dunnavant
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-31 15:11 EST by Johan Smedberg
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-16 12:51:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Johan Smedberg 2001-01-31 15:11:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)


"mopd -a" fails to start during boot, in logfile it says something like 
Unable to allocate memory and the mopd daemon is not started during boot. 
eth0 is set to promisc mode still wont start during boot. Workaround for 
this is to replace -a with eth0 in the mopd "start/stopp/restart" script 
file that's installed with the package. This did work in earlier 
releases... /JohSm 

Reproducible: Always
Steps to Reproduce:
1. Just install mopd install it to be run when systems starts
2. Check the logfiles and check if it's still is running when booted
3. Setup is a stripped (Custom installation) withut X Support etc..
	

Actual Results:  mopd is not running after it was started as a Daemon, 
logfile says
unable to allocate memory

Expected Results:  would be running as a Daemon when the system is 
booted....

Woraround was to replace -a as argument with eth0 (The only device in the 
system.) Still it seems to only fail with -a when systems boots and the 
daemons are supposed to start.... Log tells you that it's unable to 
allocate memory...
Comment 1 Tim Waugh 2001-02-03 07:02:11 EST
Wrong component -- reassigning.
Comment 2 Tim Powers 2001-02-06 18:59:37 EST
Do you have anything in /tftpboot/mop so that you can use this? Have you
configured mopd yet? I can see what you are saying, I just don't have any images
around to use to test this further.

Tim
Comment 3 David Lawrence 2003-05-16 12:51:09 EDT
Closing as WONTFIX due to end of life of the Power Tools product line. Please
open a new bug report under the Red Hat Linux product if the component is still
included in the base Red Hat distribution.

Note You need to log in before you can comment on or make changes to this bug.